---
title: Documentation 
last_updated: July xx, 2018
summary: "Summary"
series: "ACME series"
weight: 3
sidebar: allthing_sidebar
permalink: allthing_postgresql.html
folder: allthing
# Don't forget to add a reference in _data/sidebars/allthing_sidebar.yml and/or _data/topnav.yml 
---

### A feature rich alternative to the official image
https://github.com/sameersbn/docker-postgresql

### Official Postgres docker image
https://github.com/docker-library/postgres/tree/eff90effc6b5578be90bef93d96b3fceb1082a7c
https://hub.docker.com/_/postgres/

### Some thoughts on Postgres Dockerfile: 
https://stackoverflow.com/questions/30848670/how-to-customize-the-configuration-file-of-the-official-postgresql-docker-image

### How pg_ident.conf works
https://www.postgresql.org/docs/9.1/static/auth-username-maps.html

### About pg_hba.conf
https://www.postgresql.org/docs/9.3/static/auth-pg-hba-conf.html

{% include links.html %}
